Therap 2017.2.0 will not allow users to log in using Internet Explorer 10

Internet Explorer 10 has stopped receiving critical browser security updates from Microsoft, and we have determined that it may pose a security threat to our system. We recommend installing Google Chrome, Mozilla Firefox or Internet Explorer 11 for users currently using Internet Explorer 10 to access Therap Applications.

For more information on the minimum system requirements for using Therap Applications, visit here.